Bug 127594 - Can't build glib2 2.4.2 or glib2 2.4.4 with gcc 3.4.1
Can't build glib2 2.4.2 or glib2 2.4.4 with gcc 3.4.1
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: gcc (Show other bugs)
rawhide
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jakub Jelinek
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-07-09 21:28 EDT by sangu
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-07-10 11:57:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Preprocessed source stored into /tmp/ccyErc3T.out file (145.33 KB, text/plain)
2004-07-09 21:34 EDT, sangu
no flags Details
Preprocessed source stored into /tmp/ccnxUn63.out file (145.36 KB, text/plain)
2004-07-09 21:41 EDT, sangu
no flags Details

  None (edit)
Description sangu 2004-07-09 21:28:59 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7)
Gecko/20040625 Epiphany/1.2.6

Description of problem:
$make

[...]

gclosure.c: In function `g_closure_add_marshal_guards':
gclosure.c:217: internal compiler error: in expand_shift, at expmed.c:2111
Please submit a full bug report,
with preprocessed source if appropriate.
See <URL:http://bugzilla.redhat.com/bugzilla> for instructions.
Preprocessed source stored into /tmp/ccyErc3T.out file, please attach
this to your bugreport.
make[3]: *** [gclosure.lo] Error 1
make[3]: Leaving directory `/usr/src/redhat/BUILD/glib-2.4.2/gobject'
make[2]: *** [all] Error 2
make[2]: Leaving directory `/usr/src/redhat/BUILD/glib-2.4.2/gobject'
make[1]: *** [all-recursive] Error 1
make[1]: Leaving directory `/usr/src/redhat/BUILD/glib-2.4.2'
make: *** [all] Error 2


Version-Release number of selected component (if applicable):
gcc-3.4.1-1

How reproducible:
Always

Steps to Reproduce:
1. ./configure
2. make
3. 
    

Additional info:

complied with compat-gcc-8-3.3.4, build successful.
Comment 1 sangu 2004-07-09 21:34:39 EDT
Created attachment 101777 [details]
Preprocessed source stored into /tmp/ccyErc3T.out file

built glib2-2.4.2 with gcc 3.4.1
Comment 2 sangu 2004-07-09 21:41:13 EDT
Created attachment 101778 [details]
Preprocessed source stored into /tmp/ccnxUn63.out file

built glib2-2.4.4 with gcc-3.4.1
Comment 3 sangu 2004-07-10 11:57:42 EDT
This problem is fixed in gcc-3.4.1-2.

Note You need to log in before you can comment on or make changes to this bug.